import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataSnowflakePipesConfig extends cdktf.TerraformMetaArguments {
    /**
    * The database from which to return the schemas from.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes#database DataSnowflakePipes#database}
    */
    readonly database: string;
    /**
    * The schema from which to return the pipes from.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes#schema DataSnowflakePipes#schema}
    */
    readonly schema: string;
}
export interface DataSnowflakePipesPipes {
}
export declare function dataSnowflakePipesPipesToTerraform(struct?: DataSnowflakePipesPipes): any;
export declare class DataSnowflakePipesPipesOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataSnowflakePipesPipes | undefined;
    set internalValue(value: DataSnowflakePipesPipes | undefined);
    get comment(): string;
    get database(): string;
    get integration(): string;
    get name(): string;
    get schema(): string;
}
export declare class DataSnowflakePipesPipesList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataSnowflakePipesPipesOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/pipes snowflake_pipes}
*/
export declare class DataSnowflakePipes extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "snowflake_pipes";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/pipes snowflake_pipes} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataSnowflakePipesConfig
    */
    constructor(scope: Construct, id: string, config: DataSnowflakePipesConfig);
    private _database?;
    get database(): string;
    set database(value: string);
    get databaseInput(): string | undefined;
    get id(): string;
    private _pipes;
    get pipes(): DataSnowflakePipesPipesList;
    private _schema?;
    get schema(): string;
    set schema(value: string);
    get schemaInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
