import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataSnowflakeStorageIntegrationsConfig extends cdktf.TerraformMetaArguments {
}
export interface DataSnowflakeStorageIntegrationsStorageIntegrations {
}
export declare function dataSnowflakeStorageIntegrationsStorageIntegrationsToTerraform(struct?: DataSnowflakeStorageIntegrationsStorageIntegrations): any;
export declare class DataSnowflakeStorageIntegrationsStorageIntegrationsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataSnowflakeStorageIntegrationsStorageIntegrations | undefined;
    set internalValue(value: DataSnowflakeStorageIntegrationsStorageIntegrations | undefined);
    get comment(): string;
    get enabled(): cdktf.IResolvable;
    get name(): string;
    get type(): string;
}
export declare class DataSnowflakeStorageIntegrationsStorageIntegrationsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataSnowflakeStorageIntegrationsStorageIntegrationsOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/storage_integrations snowflake_storage_integrations}
*/
export declare class DataSnowflakeStorageIntegrations extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "snowflake_storage_integrations";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/storage_integrations snowflake_storage_integrations} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataSnowflakeStorageIntegrationsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataSnowflakeStorageIntegrationsConfig);
    get id(): string;
    private _storageIntegrations;
    get storageIntegrations(): DataSnowflakeStorageIntegrationsStorageIntegrationsList;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
